com.ihr.xbrl.formula

## Class FlVariableResolver

- java.lang.Object
- - com.ihr.xbrl.formula.FlVariableResolver

- All Implemented Interfaces:
    XBRLVariableResolver, javax.xml.xpath.XPathVariableResolver

      public class FlVariableResolver
      extends java.lang.Object
      implements XBRLVariableResolver

  The Class FlVariableResolver.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.logging.Logger` | `logger` The logger.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlVariableResolver(FlFormulaProcessor fp)` Instantiates a new fl variable resolver.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bindVariableValues(net.sf.saxon.s9api.XPathSelector xpathExpression)` Bind variable values.
    `void` | `checkVariablesFrom(XBRLVariableResolver res)` Check variable declarations in res and existing variable declarations Add only new variables and update values for existing variables.
    `void` | `clear()` Clear.
    `void` | `declareVariables(net.sf.saxon.s9api.XPathCompiler compiler)` Declares all variables into the compiler object.
    `java.util.Iterator<javax.xml.namespace.QName>` | `getVariableNames()` Returns an iterator over all variables defined.
    `void` | `put(javax.xml.namespace.QName name, java.lang.Object value)` Put.
    `java.lang.Object` | `resolveVariable(javax.xml.namespace.QName variableName)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          public java.util.logging.Logger logger

      The logger.

  - ### Constructor Detail

    - #### FlVariableResolver

          public FlVariableResolver(FlFormulaProcessor fp)

      Instantiates a new fl variable resolver.
      Parameters:
        `fp` - the fp

  - ### Method Detail

    - #### resolveVariable

          public java.lang.Object resolveVariable(javax.xml.namespace.QName variableName)

      Specified by:
        `resolveVariable` in interface `javax.xml.xpath.XPathVariableResolver`

    - #### clear

          public void clear()

      Clear.

    - #### put

          public void put(javax.xml.namespace.QName name,
                 java.lang.Object value)

      Put.
      Parameters:
        `name` - the name
        `value` - the value

    - #### declareVariables

          public void declareVariables(net.sf.saxon.s9api.XPathCompiler compiler)

      Description copied from interface: `XBRLVariableResolver`
      Declares all variables into the compiler object.
      Specified by:
        `declareVariables` in interface `XBRLVariableResolver`
      Parameters:
        `compiler` - the compiler

    - #### bindVariableValues

          public void bindVariableValues(net.sf.saxon.s9api.XPathSelector xpathExpression)

      Bind variable values.
      Specified by:
        `bindVariableValues` in interface `XBRLVariableResolver`
      Parameters:
        `xpathExpression` - the xpath expression

    - #### checkVariablesFrom

          public void checkVariablesFrom(XBRLVariableResolver res)

      Description copied from interface: `XBRLVariableResolver`
      Check variable declarations in res and existing variable declarations Add only new variables and update values for existing variables.
      Specified by:
        `checkVariablesFrom` in interface `XBRLVariableResolver`
      Parameters:
        `res` - the res

    - #### getVariableNames

          public java.util.Iterator<javax.xml.namespace.QName> getVariableNames()

      Description copied from interface: `XBRLVariableResolver`
      Returns an iterator over all variables defined.
      Specified by:
        `getVariableNames` in interface `XBRLVariableResolver`
      Returns:
        Iterator<QName>